sensorfw: HybrisProximityAdaptor Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
HybrisProximityAdaptor Class Reference

Adaptor for hybris proximity sensor. More...

`#include <hybrisproximityadaptor.h>`

Inheritance diagram for HybrisProximityAdaptor:

## Public Member Functions
| HybrisProximityAdaptor (const QString &id)
| ~HybrisProximityAdaptor ()
bool | startSensor ()
void | stopSensor ()
void | sendInitialData ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)

## Protected Member Functions
void | processSample (const sensors_event_t &data)
void | init ()

## Detailed Description

Adaptor for hybris proximity sensor.

Adaptor for proximity. Uses hybris sensor daemon driver interface.

Value output frequency depends on driver decision - only changed values are pushed out of driver.

Definition at line 41 of file hybrisproximityadaptor.h.

## Constructor & Destructor Documentation

## ◆ HybrisProximityAdaptor()

HybrisProximityAdaptor::HybrisProximityAdaptor | ( | const QString & | id | ) |

## ◆ ~HybrisProximityAdaptor()

HybrisProximityAdaptor::~HybrisProximityAdaptor | ( |  | ) |

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * HybrisProximityAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Definition at line 46 of file hybrisproximityadaptor.h.

## ◆ init()

void HybrisProximityAdaptor::init | ( |  | ) |
| protected

## ◆ processSample()

void HybrisProximityAdaptor::processSample | ( | const sensors_event_t & | data | ) |
| protected

## ◆ sendInitialData()

void HybrisProximityAdaptor::sendInitialData | ( |  | ) |

## ◆ startSensor()

bool HybrisProximityAdaptor::startSensor | ( |  | ) |

## ◆ stopSensor()

void HybrisProximityAdaptor::stopSensor | ( |  | ) |

The documentation for this class was generated from the following file:

- adaptors/hybrisproximityadaptor/hybrisproximityadaptor.h